unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, TAGraph, TASeries, TATransformations, Forms,
  Controls, Graphics, Dialogs, TAChartAxisUtils;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ChartAxisTransformations1: TChartAxisTransformations;
    ChartAxisTransformations1AutoScaleAxisTransform1: TAutoScaleAxisTransform;
    ChartAxisTransformations2: TChartAxisTransformations;
    ChartAxisTransformations2AutoScaleAxisTransform1: TAutoScaleAxisTransform;
    ChartAxisTransformations2LinearAxisTransform1: TLinearAxisTransform;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
const
  N = 100;
  XMIN = -10;
  XMAX = 10;
var
  i: Integer;
  x: Double;
begin
  for i:=0 to N-1 do
  begin
    x := XMIN + (XMAX-XMIN)/(N-1)*i;
    Chart1LineSeries1.AddXY(x, x);
    Chart1LineSeries2.AddXY(x, x*x);
  end;
end;

end.

